Skip to main content
POST
/
{alias}
/
catalog
/
flags
Criar selo
curl --request POST \
  --url https://api.dooki.com.br/v2/{alias}/catalog/flags \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "name": "Dia dos Namorados",
  "active": true,
  "is_visible": true,
  "image_url": "https://example.com/image.png",
  "text_color": "#FFFFFF",
  "background_color": "#000000"
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/catalog/flags"

payload = {
"name": "Dia dos Namorados",
"active": True,
"is_visible": True,
"image_url": "https://example.com/image.png",
"text_color": "#FFFFFF",
"background_color": "#000000"
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'Dia dos Namorados',
active: true,
is_visible: true,
image_url: 'https://example.com/image.png',
text_color: '#FFFFFF',
background_color: '#000000'
})
};

fetch('https://api.dooki.com.br/v2/{alias}/catalog/flags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": 123,
      "active": true,
      "is_visible": true,
      "name": "Coleção 2017",
      "slug": "colecao-2017",
      "total_products": 123,
      "text_color": "#ffffff",
      "background_color": "#000000",
      "image_url": "https://image.com/selo.gif"
    }
  ]
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

Body

application/json

Dados para criação ou atualização de um valor de um selo

name
string
required

Nome do selo. Esse valor deve ser único.

Example:

"Dia dos Namorados"

active
boolean
required

Define se o selo está ativo ou não.

Example:

true

is_visible
boolean
required

Define se o selo está visível ou não.

Example:

true

image_url
string

URL da imagem do selo.

Example:

"https://example.com/image.png"

text_color
string

Cor do texto do selo no formato hexadecimal (ex: #FFFFFF).

Example:

"#FFFFFF"

background_color
string

Cor de fundo do selo no formato hexadecimal (ex: #000000).

Example:

"#000000"

Response

Selo criado com sucesso

data
Selo de um produto · object[]